Subject: Re: Question about WW_NN and RFC 2625

From: "Infante, Jon" <[email-masked]>
Date: Thu, 11 Jan 2001 16:27:50 -0800

Murali,

I disagree. The Fibre Channel Network header ONLY contains the
WWPN. That is the main reason the NAA for the WWPN must
be 1 (mapping MAC addresses to WWPNs).

Correct me if I'm wrong. however, I don't see any  technical reason
for the WWNN NAA to be 1 nor did I infer that was the intent of
the many discussions the group had on this topic???

Jon

Murali Rajagopal wrote:

> The intent was NAA=1 for both.
> If it did not get reflected, then it was an oversight.
>
> -Murali
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Infante, Jon
> Sent: Thursday, January 11, 2001 8:13 AM
> To: Weber, William L
> Cc: IPFC Mailing List (E-mail)
> Subject: Re: Question about WW_NN and RFC 2625
>
> Bill,
>
> My understanding is that only the World Wide Port Name requires NAA = 1.
> It is not a requirement for the World Wide Node Name to have NAA = 1;
>
> Jon Infante
> Emulex
>
> "Weber, William L" wrote:
>
> > I have a question concerning RFC 2625, IP and ARP over Fibre Channel, and
> > Network_Address_Authority (NAA) of World Wide Names (WWN).  I thought this
> > would be the proper forum to present the question.
> > The question is:
> >    Can the Node WWN (WW_NN) use NAA=5 for IEEE registered format and still
> > be
> >    compliant/compatible with RFC 2625?
> >
> > I understand that the RFC 2625 requires the Port WWN (WW_PN) to use NAA =
> 1
> > for IEEE 48-bit addresses.  RFC 2625 does not explicitly state the NAA for
> > the WW_NN, however the examples in Appendix E (i.e. E.4.2) show the WW_NN
> > with NAA=1.
> >
> > Thanks,
> > // Bill Weber               Phone: +1-610-648-7022
> > // Unisys Corporation       Fax:   +1-610-648-4010
> > // 2476 Swedesford Rd.      mailto:[email-masked]
> > // Malvern, PA 19355-9700